<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: WWDT Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">WWDT Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d8/dfa/group___n_a_n_o1_x2___w_w_d_t___driver.html">WWDT Driver</a> &raquo; <a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">WWDT Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for WWDT Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad5_2d17_2group______n__a__n__o1__x2______w__w__d__t______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga825684fc705a28642de45da9f016fef2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga825684fc705a28642de45da9f016fef2">WWDT_CLEAR_RESET_FLAG</a>()</td></tr>
<tr class="memdesc:ga825684fc705a28642de45da9f016fef2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear WWDT time-out reset system flag.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga825684fc705a28642de45da9f016fef2">More...</a><br /></td></tr>
<tr class="separator:ga825684fc705a28642de45da9f016fef2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac72648b277ba58cbcceedbc0b1440796"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac72648b277ba58cbcceedbc0b1440796">WWDT_CLEAR_INT_FLAG</a>()</td></tr>
<tr class="memdesc:gac72648b277ba58cbcceedbc0b1440796"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clears WWDT compare match interrupt flag.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac72648b277ba58cbcceedbc0b1440796">More...</a><br /></td></tr>
<tr class="separator:gac72648b277ba58cbcceedbc0b1440796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a6ebe0b489fd444d71f40462d205b89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a6ebe0b489fd444d71f40462d205b89">WWDT_GET_RESET_FLAG</a>()</td></tr>
<tr class="memdesc:ga2a6ebe0b489fd444d71f40462d205b89"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is use to get WWDT time-out reset system flag.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a6ebe0b489fd444d71f40462d205b89">More...</a><br /></td></tr>
<tr class="separator:ga2a6ebe0b489fd444d71f40462d205b89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa83997f797b9ed2f09b0e9a1b466fd1d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa83997f797b9ed2f09b0e9a1b466fd1d">WWDT_GET_INT_FLAG</a>()</td></tr>
<tr class="memdesc:gaa83997f797b9ed2f09b0e9a1b466fd1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to indicate WWDT compare match interrupt flag.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa83997f797b9ed2f09b0e9a1b466fd1d">More...</a><br /></td></tr>
<tr class="separator:gaa83997f797b9ed2f09b0e9a1b466fd1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga025892cbdb7a4013240126e6d3f59a42"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga025892cbdb7a4013240126e6d3f59a42">WWDT_GET_COUNTER</a>()</td></tr>
<tr class="memdesc:ga025892cbdb7a4013240126e6d3f59a42"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro to reflects current WWDT counter value.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga025892cbdb7a4013240126e6d3f59a42">More...</a><br /></td></tr>
<tr class="separator:ga025892cbdb7a4013240126e6d3f59a42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac2cbcdd676f337a6ae256477e71e9114"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac2cbcdd676f337a6ae256477e71e9114">WWDT_RELOAD_COUNTER</a>()</td></tr>
<tr class="memdesc:gac2cbcdd676f337a6ae256477e71e9114"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to reload the WWDT counter value to 0x3F.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac2cbcdd676f337a6ae256477e71e9114">More...</a><br /></td></tr>
<tr class="separator:gac2cbcdd676f337a6ae256477e71e9114"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga918cf310aef9fe0717efb224d2a34ae9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">WWDT_Open</a> (uint32_t u32PreScale, uint32_t u32CmpValue, uint32_t u32EnableInt)</td></tr>
<tr class="memdesc:ga918cf310aef9fe0717efb224d2a34ae9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make WWDT module start counting with different counter period and compared window value.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">More...</a><br /></td></tr>
<tr class="separator:ga918cf310aef9fe0717efb224d2a34ae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gac72648b277ba58cbcceedbc0b1440796" name="gac72648b277ba58cbcceedbc0b1440796"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac72648b277ba58cbcceedbc0b1440796">&#9670;&nbsp;</a></span>WWDT_CLEAR_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WWDT_CLEAR_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clears WWDT compare match interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/wwdt_8h_source.html#l00071">71</a> of file <a class="el" href="../../dd/d09/wwdt_8h_source.html">wwdt.h</a>.</p>

</div>
</div>
<a id="ga825684fc705a28642de45da9f016fef2" name="ga825684fc705a28642de45da9f016fef2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga825684fc705a28642de45da9f016fef2">&#9670;&nbsp;</a></span>WWDT_CLEAR_RESET_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WWDT_CLEAR_RESET_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clear WWDT time-out reset system flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/wwdt_8h_source.html#l00063">63</a> of file <a class="el" href="../../dd/d09/wwdt_8h_source.html">wwdt.h</a>.</p>

</div>
</div>
<a id="ga025892cbdb7a4013240126e6d3f59a42" name="ga025892cbdb7a4013240126e6d3f59a42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga025892cbdb7a4013240126e6d3f59a42">&#9670;&nbsp;</a></span>WWDT_GET_COUNTER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WWDT_GET_COUNTER</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro to reflects current WWDT counter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Return current WWDT counter value </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/wwdt_8h_source.html#l00097">97</a> of file <a class="el" href="../../dd/d09/wwdt_8h_source.html">wwdt.h</a>.</p>

</div>
</div>
<a id="gaa83997f797b9ed2f09b0e9a1b466fd1d" name="gaa83997f797b9ed2f09b0e9a1b466fd1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa83997f797b9ed2f09b0e9a1b466fd1d">&#9670;&nbsp;</a></span>WWDT_GET_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WWDT_GET_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to indicate WWDT compare match interrupt flag. </p>
<dl class="section return"><dt>Returns</dt><dd>WWDT compare match interrupt occurred or not </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>WWDT compare match interrupt did not occur </td></tr>
    <tr><td class="paramname">1</td><td>WWDT compare match interrupt occurred </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/wwdt_8h_source.html#l00089">89</a> of file <a class="el" href="../../dd/d09/wwdt_8h_source.html">wwdt.h</a>.</p>

</div>
</div>
<a id="ga2a6ebe0b489fd444d71f40462d205b89" name="ga2a6ebe0b489fd444d71f40462d205b89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2a6ebe0b489fd444d71f40462d205b89">&#9670;&nbsp;</a></span>WWDT_GET_RESET_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WWDT_GET_RESET_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is use to get WWDT time-out reset system flag. </p>
<dl class="section return"><dt>Returns</dt><dd>WWDT reset system or not </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>WWDT did not cause system reset </td></tr>
    <tr><td class="paramname">1</td><td>WWDT caused system reset </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/wwdt_8h_source.html#l00080">80</a> of file <a class="el" href="../../dd/d09/wwdt_8h_source.html">wwdt.h</a>.</p>

</div>
</div>
<a id="gac2cbcdd676f337a6ae256477e71e9114" name="gac2cbcdd676f337a6ae256477e71e9114"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac2cbcdd676f337a6ae256477e71e9114">&#9670;&nbsp;</a></span>WWDT_RELOAD_COUNTER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WWDT_RELOAD_COUNTER</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to reload the WWDT counter value to 0x3F. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>After WWDT enabled, application must reload WWDT counter while current counter is less than compare value and larger than 0, otherwise WWDT will cause system reset. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d09/wwdt_8h_source.html#l00108">108</a> of file <a class="el" href="../../dd/d09/wwdt_8h_source.html">wwdt.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga918cf310aef9fe0717efb224d2a34ae9" name="ga918cf310aef9fe0717efb224d2a34ae9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga918cf310aef9fe0717efb224d2a34ae9">&#9670;&nbsp;</a></span>WWDT_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WWDT_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PreScale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32CmpValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32EnableInt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function make WWDT module start counting with different counter period and compared window value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PreScale</td><td>Prescale period for the WWDT counter period. Valid values are:<ul>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9b852e05848d68426dc0a486f0686ab3">WWDT_PRESCALER_1</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabecdc2785099003a5fa238409e9afa2a">WWDT_PRESCALER_2</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga56ed61404a9c9a99e8194e4b61e79555">WWDT_PRESCALER_4</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaef72209f0af03ba5dad7f20f60e96f6b">WWDT_PRESCALER_8</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3f45116cac760ba1af57b866379d88ec">WWDT_PRESCALER_16</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga73e0a70a3b34355289d32f3232911936">WWDT_PRESCALER_32</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0a32ca2e80935271a27db14ee9e9f90">WWDT_PRESCALER_64</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad1231630df0280e8e29fa6ad637031e8">WWDT_PRESCALER_128</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b732b29b03ecfa961696dea9c05ede1">WWDT_PRESCALER_192</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5111fef2bd1bf9d1b8ca73b14e22e3b">WWDT_PRESCALER_256</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1653c950744619573bb39371f5cb650b">WWDT_PRESCALER_384</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga016398b74088994686c047d0a1e91428">WWDT_PRESCALER_512</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac5f52182a71a6d2c3b61a0d525ea9cd5">WWDT_PRESCALER_768</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga763bdcbfebf59ad93e7c1db205e3cd11">WWDT_PRESCALER_1024</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf425638fba8194a62f3fa0423f21d69f">WWDT_PRESCALER_1536</a></li>
<li><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga38a4ac3a2c0bbbcb953d21bf1bee058d">WWDT_PRESCALER_2048</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32CmpValue</td><td>Window compared value. Valid values are between 0x0 to 0x3F </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32EnableInt</td><td>Enable WWDT interrupt or not. Valid values are TRUE and FALSE </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Application can call this function can only once after boot up </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d90/wwdt_8c_source.html#l00051">51</a> of file <a class="el" href="../../d9/d90/wwdt_8c_source.html">wwdt.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
